use std::collections::HashMap;

const LANG: &'static str = include_str!("./en_US.lang");

pub type Lang = HashMap<&'static str, &'static str>;

fn parse_lang(lang_src: &'static str) -> HashMap<&'static str, &'static str> {
    let mut lang = HashMap::new();
    for line in lang_src.lines() {
        let Some((key, val)) = line.split_once('=') else {
            continue;
        };
        lang.insert(key, val);
    }
    lang
}

pub fn get_lang() -> HashMap<&'static str, &'static str> {
    parse_lang(LANG)
}
